commit:     b96acff59c1bbde1792d7ad878ec4aab3100af15
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jun  8 07:58:01 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jun  8 11:42:10 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b96acff5

dev-python/django-configurations: New package

Needed to test dev-python/pytest-django.

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/django-configurations/Manifest          |  1 +
 .../django-configurations-2.2.ebuild               | 52 ++++++++++++++++++++++
 dev-python/django-configurations/metadata.xml      |  7 +++
 3 files changed, 60 insertions(+)

diff --git a/dev-python/django-configurations/Manifest 
b/dev-python/django-configurations/Manifest
new file mode 100644
index 00000000000..e9b3be6f164
--- /dev/null
+++ b/dev-python/django-configurations/Manifest
@@ -0,0 +1 @@
+DIST django-configurations-2.2.gh.tar.gz 41909 BLAKE2B 
4107e37a694d4c9670f855886d870c7aea30e9b95788a6c09f6fb3c913d3ffc4d17ed250264ce9ff0408856787b4768cda67eecf26c135ccb338ffda7530fd41
 SHA512 
9c53811016c20ae4dedbb9e1951b45440b656fad2fb9544e94bbbabb65a5883846ee063647f107ac57c08e54db71206b89903ee1d02cbfc0c8d3dafe7520e5a2

diff --git a/dev-python/django-configurations/django-configurations-2.2.ebuild 
b/dev-python/django-configurations/django-configurations-2.2.ebuild
new file mode 100644
index 00000000000..d280a8e6ff7
--- /dev/null
+++ b/dev-python/django-configurations/django-configurations-2.2.ebuild
@@ -0,0 +1,52 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..10} )
+inherit distutils-r1
+
+DESCRIPTION="A helper for organizing Django settings"
+HOMEPAGE="
+       https://pypi.org/project/django-configurations/
+       https://github.com/jazzband/django-configurations/
+       https://django-configurations.readthedocs.io/";
+SRC_URI="
+       https://github.com/jazzband/django-configurations/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# pkg_resources, https://github.com/jazzband/django-configurations/pull/282
+RDEPEND="
+       dev-python/django[${PYTHON_USEDEP}]
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]"
+BDEPEND="
+       dev-python/setuptools_scm[${PYTHON_USEDEP}]
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/django-cache-url[${PYTHON_USEDEP}]
+               dev-python/dj-database-url[${PYTHON_USEDEP}]
+               dev-python/dj-email-url[${PYTHON_USEDEP}]
+               dev-python/dj-search-url[${PYTHON_USEDEP}]
+       )"
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+src_prepare() {
+       distutils-r1_src_prepare
+       # sphinx can't find tests package
+       rm tests/test_sphinx.py || die
+}
+
+python_test() {
+       local -x DJANGO_SETTINGS_MODULE=tests.settings.main
+       local -x DJANGO_CONFIGURATION=Test
+       distutils_install_for_testing
+       django-cadmin test -v2 || die "Tests failed with ${EPYTHON}"
+}

diff --git a/dev-python/django-configurations/metadata.xml 
b/dev-python/django-configurations/metadata.xml
new file mode 100644
index 00000000000..266e3f19ca5
--- /dev/null
+++ b/dev-python/django-configurations/metadata.xml
@@ -0,0 +1,7 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="project">
+               <email>[email protected]</email>
+       </maintainer>
+</pkgmetadata>

Reply via email to